columns = {'HRV index', 'R coefficient', 'p-value'};
rows = {'AVNN'; 'SDNN'; 'RMSSD'; 'pNN50'; 'VLF'; 'LF'; 'HF'; 'LF/HF'; 'SD1'; 'SD2'; 'SD1/SD2'};

[ha,pa] = ttest2(HRV_indices_ecg.AVNN, ecg_hrv_analysis_results.AVNN);
[hb,pb] = ttest2(HRV_indices_ecg.SDNN, ecg_hrv_analysis_results.SDNN);
[hc,pc] = ttest2(HRV_indices_ecg.RMSSD, ecg_hrv_analysis_results.RMSSD);
[hd,pd] = ttest2(HRV_indices_ecg.pNN50, ecg_hrv_analysis_results.pNN50);
[he,pe] = ttest2(HRV_indices_ecg.vlf, ecg_hrv_analysis_results.vlf);
[hf,pf] = ttest2(HRV_indices_ecg.lf, ecg_hrv_analysis_results.lf);
[hg,pg] = ttest2(HRV_indices_ecg.hf, ecg_hrv_analysis_results.hf);
[hh,ph] = ttest2(HRV_indices_ecg.lfhf, ecg_hrv_analysis_results.lfhf);
[hih,pih] = ttest2(HRV_indices_ecg.SD1, ecg_hrv_analysis_results.SD1);
[hj,pj] = ttest2(HRV_indices_ecg.SD2, ecg_hrv_analysis_results.SD2);
[hk,pk] = ttest2(HRV_indices_ecg.SD1SD2, table2array(ecg_hrv_analysis_results(:,12)));

h = [ha; hb; hc; hd; he; hf; hg; hh; hih; hj; hk];
p = [pa; pb; pc; pd; pe; pf; pg; ph; pih; pj; pk];

ecg_ttests = table(rows, h, p);

%% SCG

[ha,pa] = ttest2(HRV_indices_scg.AVNN, scg_hrv_analysis_results.AVNN);
[hb,pb] = ttest2(HRV_indices_scg.SDNN, scg_hrv_analysis_results.SDNN);
[hc,pc] = ttest2(HRV_indices_scg.RMSSD, scg_hrv_analysis_results.RMSSD);
[hd,pd] = ttest2(HRV_indices_scg.pNN50, scg_hrv_analysis_results.pNN50);
[he,pe] = ttest2(HRV_indices_scg.vlf, scg_hrv_analysis_results.vlf);
[hf,pf] = ttest2(HRV_indices_scg.lf, scg_hrv_analysis_results.lf);
[hg,pg] = ttest2(HRV_indices_scg.hf, scg_hrv_analysis_results.hf);
[hh,ph] = ttest2(HRV_indices_scg.lfhf, scg_hrv_analysis_results.lfhf);
[hih,pih] = ttest2(HRV_indices_scg.SD1, scg_hrv_analysis_results.SD1);
[hj,pj] = ttest2(HRV_indices_scg.SD2, scg_hrv_analysis_results.SD2);
[hk,pk] = ttest2(HRV_indices_scg.SD1SD2, table2array(scg_hrv_analysis_results(:,12)));

h = [ha; hb; hc; hd; he; hf; hg; hh; hih; hj; hk];
p = [pa; pb; pc; pd; pe; pf; pg; ph; pih; pj; pk];

scg_ttests = table(rows, h, p);

%% GCG

[ha,pa] = ttest2(HRV_indices_gcg.AVNN, gcg_hrv_analysis_results.AVNN);
[hb,pb] = ttest2(HRV_indices_gcg.SDNN, gcg_hrv_analysis_results.SDNN);
[hc,pc] = ttest2(HRV_indices_gcg.RMSSD, gcg_hrv_analysis_results.RMSSD);
[hd,pd] = ttest2(HRV_indices_gcg.pNN50, gcg_hrv_analysis_results.pNN50);
[he,pe] = ttest2(HRV_indices_gcg.vlf, gcg_hrv_analysis_results.vlf);
[hf,pf] = ttest2(HRV_indices_gcg.lf, gcg_hrv_analysis_results.lf);
[hg,pg] = ttest2(HRV_indices_gcg.hf, gcg_hrv_analysis_results.hf);
[hh,ph] = ttest2(HRV_indices_gcg.lfhf, gcg_hrv_analysis_results.lfhf);
[hih,pih] = ttest2(HRV_indices_gcg.SD1, gcg_hrv_analysis_results.SD1);
[hj,pj] = ttest2(HRV_indices_gcg.SD2, gcg_hrv_analysis_results.SD2);
[hk,pk] = ttest2(HRV_indices_gcg.SD1SD2, table2array(gcg_hrv_analysis_results(:,12)));

h = [ha; hb; hc; hd; he; hf; hg; hh; hih; hj; hk];
p = [pa; pb; pc; pd; pe; pf; pg; ph; pih; pj; pk];

gcg_ttests = table(rows, h, p);