row_names = {'AVNN', 'SDNN', 'RMSSD', 'pNN50', 'vlf', 'lf', 'hf', 'lfhf', 'SD1', 'SD2', 'SD1/SD2'}.';
variable_names={'HRV index', 'Mean', 'SD'};

%ECG_indices = HRV_indices_ecg;
ECG_indices = hrv_analysis_results_ecg;

means = [mean(ECG_indices.AVNN)
    mean(ECG_indices.SDNN)
    mean(ECG_indices.RMSSD)
    mean(ECG_indices.pNN50)
    mean(ECG_indices.vlf)
    mean(ECG_indices.lf)
    mean(ECG_indices.hf)
    mean(ECG_indices.lfhf)
    mean(ECG_indices.SD1)
    mean(ECG_indices.SD2)
    mean(table2array(ECG_indices(:,12)))
    ];

stds = [std(ECG_indices.AVNN)
    std(ECG_indices.SDNN)
    std(ECG_indices.RMSSD)
    std(ECG_indices.pNN50)
    std(ECG_indices.vlf)
    std(ECG_indices.lf)
    std(ECG_indices.hf)
    std(ECG_indices.lfhf)
    std(ECG_indices.SD1)
    std(ECG_indices.SD2)
    std(table2array(ECG_indices(:,12)))
    ];

MeanStdDevECG = table(row_names, means, stds, 'VariableNames', variable_names);

%SCG_indices = HRV_indices_scg;
SCG_indices = hrv_analysis_results_scg;

means = [mean(SCG_indices.AVNN)
    mean(SCG_indices.SDNN)
    mean(SCG_indices.RMSSD)
    mean(SCG_indices.pNN50)
    mean(SCG_indices.vlf)
    mean(SCG_indices.lf)
    mean(SCG_indices.hf)
    mean(SCG_indices.lfhf)
    mean(SCG_indices.SD1)
    mean(SCG_indices.SD2)
    mean(table2array(SCG_indices(:,12)))
    ];

stds = [std(SCG_indices.AVNN)
    std(SCG_indices.SDNN)
    std(SCG_indices.RMSSD)
    std(SCG_indices.pNN50)
    std(SCG_indices.vlf)
    std(SCG_indices.lf)
    std(SCG_indices.hf)
    std(SCG_indices.lfhf)
    std(SCG_indices.SD1)
    std(SCG_indices.SD2)
    std(table2array(SCG_indices(:,12)))
    ];

MeanStdDevSCG = table(row_names, means, stds, 'VariableNames', variable_names);

%GCG_indices = HRV_indices_gcg;
GCG_indices = hrv_analysis_results_gcg;

%mean(GCG_indices.SD1/SD2)
means = [mean(GCG_indices.AVNN)
    mean(GCG_indices.SDNN)
    mean(GCG_indices.RMSSD)
    mean(GCG_indices.pNN50)
    mean(GCG_indices.vlf)
    mean(GCG_indices.lf)
    mean(GCG_indices.hf)
    mean(GCG_indices.lfhf)
    mean(GCG_indices.SD1)
    mean(GCG_indices.SD2)
    mean(table2array(GCG_indices(:,12)))
    ];

stds = [std(GCG_indices.AVNN)
    std(GCG_indices.SDNN)
    std(GCG_indices.RMSSD)
    std(GCG_indices.pNN50)
    std(GCG_indices.vlf)
    std(GCG_indices.lf)
    std(GCG_indices.hf)
    std(GCG_indices.lfhf)
    std(GCG_indices.SD1)
    std(GCG_indices.SD2)
    std(table2array(GCG_indices(:,12)))
    ];

MeanStdDevGCG = table(row_names, means, stds, 'VariableNames', variable_names);
